Bug 132222 - unable to join a cluster with FQDN
Summary: unable to join a cluster with FQDN
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gfs   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christine Caulfield
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-09 23:08 UTC by Corey Marthaler
Modified: 2010-01-12 02:57 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 16:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2004-09-09 23:08:12 UTC
Description of problem:
I changed all the nodes in my cluster.conf file to FQDN to get around
bz 126971 and cman_tool will not let me join the cluster. Even with
the -n FQDN.

[root@morph-01 root]# cman_tool join -n morph-01.lab.msp.redhat.com
ccs values will override some command line values
cman_tool: cannot find local node name "morph-01" in ccs


[root@morph-01 root]# cat /etc/cluster/cluster.conf
<?xml version="1.0"?>
<cluster name="morph-cluster" config_version="1">

<cman>
</cman>

<dlm>
</dlm>

<nodes>
        <node name="morph-01.lab.msp.redhat.com" votes="1">
                <fcdriver>qla2300</fcdriver>
                <fence>
                        <method name="single">
                                <device name="apc" switch="1" port="1"/>
                        </method>
                </fence>
        </node>
        <node name="morph-02.lab.msp.redhat.com" votes="1">
                <fcdriver>qla2300</fcdriver>
                <fence>
                        <method name="single">
                                <device name="apc" switch="1" port="2"/>
                        </method>
                </fence>
        </node>
        <node name="morph-03.lab.msp.redhat.com" votes="1">
                <fcdriver>qla2300</fcdriver>
                <fence>
                        <method name="single">
                                <device name="apc" switch="1" port="3"/>
                        </method>
                </fence>
        </node>
        <node name="morph-04.lab.msp.redhat.com" votes="1">
                <fcdriver>lpfc</fcdriver>
                <fence>
                        <method name="single">
                                <device name="apc" switch="1" port="4"/>
                        </method>
                </fence>
        </node>
        <node name="morph-05.lab.msp.redhat.com" votes="1">
                <fcdriver>lpfc</fcdriver>
                <fence>
                        <method name="single">
                                <device name="apc" switch="1" port="5"/>
                        </method>
                </fence>
        </node>
        <node name="morph-06.lab.msp.redhat.com" votes="1">
                <fcdriver>qla2300</fcdriver>
                <fence>
                        <method name="single">
                                <device name="apc" switch="1" port="6"/>
                        </method>
                </fence>
        </node>

</nodes>


<fence_devices>
        <device name="apc" agent="fence_apc" ipaddr="morph-apc"
login="apc" passwd="apc"/>
</fence_devices>


<rm>
</rm>

</cluster>

How reproducible:
Always

Comment 1 Christine Caulfield 2004-09-10 06:57:01 UTC
Yep, that's what it' supposed to do.

cman_tool strips off the domain name.

Comment 2 Corey Marthaler 2004-09-10 16:48:30 UTC
It sounds like the only thing allowed in the cluster.conf file is 
the short name of the machine, and in that case gulm isn't happy. 
 
I argue that you should be able to have short names, FQDNs, and 
IPaddrs in the cluster.conf file and it should all just work.  
 

Comment 3 Christine Caulfield 2004-09-13 09:48:05 UTC
OK, this is not very nice but it is a little more flexible. cman_tool
will now allow FQDNs in cluster.conf and will truncate them as it
passes them into the kernel.

If you do use them in cluster.conf then uname MUST also return the
FQDN or you will have to do the -n override thing (ugh!)

I will not add support for IP addresses to cman_tool unless Kevin
leans on me very heavily.

Checking in join.c;
/cvs/cluster/cluster/cman/cman_tool/join.c,v  <--  join.c
new revision: 1.7; previous revision: 1.6
done
Checking in join_ccs.c;
/cvs/cluster/cluster/cman/cman_tool/join_ccs.c,v  <--  join_ccs.c
new revision: 1.3; previous revision: 1.2
done
Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.9; previous revision: 1.8
done


Comment 4 Corey Marthaler 2004-09-15 16:00:06 UTC
fix verified. 

Comment 5 Kiersten (Kerri) Anderson 2004-11-16 19:12:55 UTC
Updating version to the right level in the defects.  Sorry for the storm.


Note You need to log in before you can comment on or make changes to this bug.